Subject: bug#10990: 24.0.94; Uncompressing files

From: Dani Moncayo <[email-masked]>
Date: Sun, 11 Mar 2012 22:50:06 +0100

On Sun, Mar 11, 2012 at 17:48, Eli Zaretskii <[email-masked]> wrote:
>> Date: Sun, 11 Mar 2012 09:23:11 +0100
>> From: Dani Moncayo <[email-masked]>
>>
>> I am on a MS Windows 7 OS.  All the GNU/Unix-like tools that I
>> currently have/need come from a MinGW/MSYS installation.
>>
>> I've tried the "Z" command from a dired buffer (to compress a file).
>> The compression goes well, but when I try to uncompress the same file,
>> I get the error message: "Searching for program: no such file or
>> directory, gunzip".
>
> Evidently, you don't have gunzip, at least not on PATH.  Or maybe it's
> MSYS revenge day: perhaps you do have gunzip, but it's a shell script
> or some such.  Anyway, copying gzip.exe into gunzip.exe should be all
> you need.

Well, it's obvious that there is no "gunzip" executable visible from
my environment.  I knew that.  And it is also obvious that I don't
need it.  The problem is not that my system is lacking an
uncompression program (I have "gzip -d"), the problem is that Emacs
(a) doesn't know how to invoke it, and (b) doesn't let me tell it how.

>> However:
>> * I can visit the compressed file, which implies an implicit
>> uncompression.  So if Emacs is able to uncompress the file in this
>> case, why does it fail in other cases?
>
> Visiting compressed files uses "gzip -d", so it doesn't need gunzip.
> See lisp/jka-cmpr-hook.el.

Then, why doesn't Emacs use that same method whenever it needs to
uncompress a file?

If Emacs was consistent in this regard and used "gzip -d" whenever it
need to uncompress a file, I would not have had any problem.

>> * If I open a cmd.exe console and do "gzip -d my_file", the file is
>> uncompressed without problems.
>
> Another evidence to the same effect.

An evidence that my system does have a tool for uncompressing files.

>> The docstring of the "Z" command says nothing about customizing the
>> way of performing the uncompression, and the current way doesn't work
>> for me.  So I'd like to ask for (a) a better way of finding the
>> uncompression utility and (b) a way of customizing the command to
>> perform the uncompression.
>
> I submit that your system is misconfigured

???
I showed clearly that my system is capable of uncompressing files
compressed by Emacs.

> but of course I won't
> object if someone makes a defcustom out of
> dired-compress-file-suffixes.

-- 
Dani Moncayo